/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

.button-round {
  --border-radius: 10px;
}
.item-native{
  --border-radius: 10px;
}

.redondo{
  --border-radius: 10px;
}

.in-toolbar{
  --background: var(  --ion-color-primary-contrast) !important;
}

.main-title{
  font-style: normal;
  font-weight: 700;
  font-size: 33px;
  line-height: 39px;
}
.main-price{
  padding: 12px;
  font-style: normal;
  font-weight: 700;
  font-size: 80px;
  line-height: 39px;
}
.sub-content{
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  line-height: 25px;
  color: var(--ion-color-medium-shade);
}
.sub-title{
  line-height: 25px !important;
  font-style: normal;
  font-weight: 700;
  font-size: 21px !important;
  line-height: 25px;
}

.big-label{
  width: 100%;
  height: 120px;
  display: flex !important;
  align-items: center;
  justify-content: center;
  font-size: 40px !important;
  font-weight: 700 !important;
  background-color: #F2F2F6;
  border-radius: 10px;
}
ion-item .resumen-input {
  display: flex;
  flex-direction: column !important;
}

.opacity-text{
  opacity: 0.5;
}

.custom-loading {
  --border-width: 4px; // Ancho del borde
  --border-color: var(--ion-color-primary); // Color del borde

  ion-spinner {
    --border-width: var(--border-width);
    --border-color: var(--border-color);
  }
}
